<?php
/*
Plugin Name: FP RSS Category Excluder
Plugin URI: http://flourishpixel.com/
Description: Remove/Exclude certain categories from site RSS Feed.
Author: Moshiur Rahman Mehedi
Version: 1.0.0
Author URI: http://www.flourishpixel.com/
*/

add_action('admin_menu', 'rss_category_excluder_menu');

function rss_category_excluder_menu (){
add_management_page('RSS Category Excluder', 'RSS Category Excluder', 10, 'fp-rss-exclude-category', 'fp_rss_exclude_category');
}


function fp_rss_exclude_category (){
$category_id_saved = get_option('$category_id_op');
if(isset($_POST['Submit']))  {
        $category_id_saved = $_POST["category_id"];
        update_option( '$category_id_op', $category_id_saved );
?>


<div class="wrap" style="font-family:Tahoma, Geneva, sans-serif;">
  
    <h2>Assign your category ID which you want to Exclude</h2>
    <h3>Just Place your category ID which you want to exclude, nothing need to do :-)</h3>
    
    <div class="updated">
  		<p><strong><?php _e('Options saved.', 'mt_trans_domain' ); ?></strong></p>
	</div>
	<?php  }  ?>
    <form method="post" name="options" target="_self">
    <table width="100%" class="form-table">
      <tr>
        <td align="left" scope="row"><label>Category ID: </label>
          <input name="category_id" value="<?php echo $category_id_saved ?>" /></td>
      	<td align="left">
      			<input type="submit" name="Submit" value="Update" />
        </td>
        <td align="left">[ If you want to exclude multiple category, just place the category id with minus sign one by one using comma. For Example: -1,-2,-3 ]</td>
      </tr>
    </table>
    
  </form>
</div>
<?php
}


function fpFeedExcluder($query) {
	$category_id_saved = get_option('$category_id_op');
 if ($query->is_feed) {
   $query->set('cat',$category_id_saved);
 }
return $query;
}
add_filter('pre_get_posts','fpFeedExcluder');

?>
